<!-- HTML com estrutura de container -->
<div class="alternate-buttons-container container-fluid" *ngIf="useContainer">
  <div class="row" [ngClass]="'justify-content-' + buttonsAlign">
      <div class="{{ 'col-md-' + containerOffset }}" *ngIf="containerOffset > 0"></div>
      <div class="{{ 'col-md-' + containerSize + ' col-12' }} alternate-button {{ buttonsClasses[i] }} mb-10"
           [class.single-disabled]="!isCurrent(i) && singleSelection && isFinished"
           [class.single-checked]="isCurrent(i) && singleSelection && isFinished"
           *ngFor="let item of buttons; let i = index"
           (click)="view(i)">
        <div [innerHTML]="item | safeHtml"></div>

        <img class="check {{ checkPosition }}" src="./assets/svgs/check.svg" [style]="checkStyles[i] | safeStyle" *ngIf="isChecked(i) && !singleSelection"/>
      </div>
  </div>
</div>

<!-- HTML sem estrutura de container -->
<div class="html-buttons-container" *ngIf="!useContainer">
  <div class="html-button" *ngFor="let item of buttons; let i = index"
       (click)="view(i)">
       <div [innerHTML]="item | safeHtml"></div>
       
       <img class="check {{ checkPosition }}" src="./assets/svgs/check.svg" [style]="checkStyles[i] | safeStyle" *ngIf="isChecked(i) && !singleSelection"/>
      </div>
</div>

<div class="pre-content {{ preContentAreaClasses }}" [style]="preContentAreaStyles | safeStyle" [@fadeAnimation]="'in'" [innerHTML]="preContent | safeHtml" *ngIf="preContent">
</div>

<div class="content-area {{ contentAreaClasses }}" [style]="contentAreaStyles | safeStyle"
     *ngIf="currentText || navigating" [@fadeAnimation]="'in'">
  <div class="content-box {{ contentBoxClasses }}" [style]="contentBoxStyles | safeStyle"
       *ngIf="currentText" [@fadeAnimation]="'in'">
    <div class="content-container">
      <span class="text-container" [innerHTML]="currentText | safeHtml"></span>
    </div>

    <div class="navigation-button-container">
        <button class="navigation-button back" [class.disabled]="!canGoBack()" *ngIf="hasNavigation" (click)="navigate(false)">
            <img src="assets/images/shared-icon-arrow-left.png" alt="voltar">
        </button>
        
        <button class="navigation-button next" [class.disabled]="!canGoNext()" *ngIf="hasNavigation" (click)="navigate(true)">
            <img src="assets/images/shared-icon-arrow-right.png" alt="avançar">
        </button>
    </div>
  </div>
</div>